## net.sf.antcontrib.property
Class AbstractPropertySetterTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.property.AbstractPropertySetterTask

Direct Known Subclasses:
  PropertyCopy, PropertySelector, RegexTask, SortList, URLEncodeTask

    public abstract class AbstractPropertySetterTask

extends org.apache.tools.ant.Task

Place class description here.

Since:
Author:
  Matthew Inger, <additional author>

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AbstractPropertySetterTask()`

Method Summary
`void` `setOverride(boolean override)`
`void` `setProperty(java.lang.String property)`
`protected void` `setPropertyValue(java.lang.String value)`
`protected void` `validate()`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPropertySetterTask

    public AbstractPropertySetterTask()

Method Detail

### setOverride

    public void setOverride(boolean override)

### setProperty

    public void setProperty(java.lang.String property)

### validate

    protected void validate()

### setPropertyValue

    protected final void setPropertyValue(java.lang.String value)